" Vim syntax file
" Language:	C++ special highlighting for STL classes and methods
" Maintainer:	Jean-Francois Guchens (thanks to Nathan Skvirsky)
" Last Change:	2008 May 02

" STL Types {{{
syntax keyword stlType istreambuf_iterator
syntax keyword stlType filebuf
syntax keyword stlType string
syntax keyword stlType ofstream
syntax keyword stlType ifstream
syntax keyword stlType stream
syntax keyword stlType istream_iterator
syntax keyword stlType istringstream
syntax keyword stlType ostream
syntax keyword stlType ostream_iterator
syntax keyword stlType ostringstream
syntax keyword stlType fstream
syntax keyword stlType auto_ptr
syntax keyword stlType pointer
syntax keyword stlType pointer_to_binary_function
syntax keyword stlType pointer_to_unary_function
syntax keyword stlType basic_string
syntax keyword stlType bit_vector
syntax keyword stlType bitset
syntax keyword stlType char_producer
syntax keyword stlType deque
syntax keyword stlType hash
syntax keyword stlType hash_map
syntax keyword stlType hash_multimap
syntax keyword stlType hash_multiset
syntax keyword stlType hash_set
syntax keyword stlType list
syntax keyword stlType map
syntax keyword stlType multimap
syntax keyword stlType multiset
syntax keyword stlType queue
syntax keyword stlType priority_queue
syntax keyword stlType rope
syntax keyword stlType set
syntax keyword stlType stack
syntax keyword stlType vector
syntax keyword stlType back_insert_iterator
syntax keyword stlType iterator
syntax keyword stlType bidirectional_iterator
syntax keyword stlType bidirectional_iterator_tag
syntax keyword stlType forward_iterator
syntax keyword stlType forward_iterator_tag
syntax keyword stlType front_insert_iterator
syntax keyword stlType input_iterator
syntax keyword stlType input_iterator_tag
syntax keyword stlType insert_iterator
syntax keyword stlType istream_iterator
syntax keyword stlType iterator_traits
syntax keyword stlType ostream_iterator
syntax keyword stlType output_iterator
syntax keyword stlType output_iterator_tag
syntax keyword stlType random_access_iterator
syntax keyword stlType random_access_iterator_tag
syntax keyword stlType raw_storage_iterator
syntax keyword stlType reverse_bidirectional_iterator
syntax keyword stlType reverse_iterator
syntax keyword stlType sequence_buffer
syntax keyword stlType binary_compose
syntax keyword stlType binary_function
syntax keyword stlType binary_negate
syntax keyword stlType binder1st
syntax keyword stlType binder2nd
syntax keyword stlType divides
syntax keyword stlType equal_to
syntax keyword stlType unary_compose
syntax keyword stlType unary_function
syntax keyword stlType unary_negate
syntax keyword stlType pair
syntax keyword stlType char_traits
syntax keyword stlType const_iterator
syntax keyword stlType reverse_iterator
syntax keyword stlType temporary_buffer
" }}}

" STL functions {{{
syntax keyword stlFunction abort
syntax keyword stlFunction abs
syntax keyword stlFunction accumulate
syntax keyword stlFunction acos
syntax keyword stlFunction adjacent_difference
syntax keyword stlFunction adjacent_find
syntax keyword stlFunction adjacent_find_if
syntax keyword stlFunction any
syntax keyword stlFunction append
syntax keyword stlFunction asctime
syntax keyword stlFunction asin
syntax keyword stlFunction assert
syntax keyword stlFunction assign
syntax keyword stlFunction at
syntax keyword stlFunction atan
syntax keyword stlFunction atan2
syntax keyword stlFunction atexit
syntax keyword stlFunction atof
syntax keyword stlFunction atoi
syntax keyword stlFunction atol
syntax keyword stlFunction back
syntax keyword stlFunction back_inserter
syntax keyword stlFunction bad
syntax keyword stlFunction bad_alloc
syntax keyword stlFunction bad_cast
syntax keyword stlFunction bad_exception
syntax keyword stlFunction bad_typeid
syntax keyword stlFunction badbit
syntax keyword stlFunction beg
syntax keyword stlFunction begin
syntax keyword stlFunction binary_compose
syntax keyword stlFunction binary_negate
syntax keyword stlFunction binary_search
syntax keyword stlFunction bind2nd
syntax keyword stlFunction binder1st
syntax keyword stlFunction binder2nd
syntax keyword stlFunction bitset
syntax keyword stlFunction bsearch
syntax keyword stlFunction c_str
syntax keyword stlFunction calloc
syntax keyword stlFunction capacity
syntax keyword stlFunction ceil
syntax keyword stlFunction cerr
syntax keyword stlFunction cin
syntax keyword stlFunction clear
syntax keyword stlFunction clearerr
syntax keyword stlFunction clock
syntax keyword stlFunction clog
syntax keyword stlFunction close
syntax keyword stlFunction compare
syntax keyword stlFunction compose1
syntax keyword stlFunction compose2
syntax keyword stlFunction construct
syntax keyword stlFunction copy
syntax keyword stlFunction copy_backward
syntax keyword stlFunction copy_n
syntax keyword stlFunction cos
syntax keyword stlFunction cosh
syntax keyword stlFunction count
syntax keyword stlFunction count_if
syntax keyword stlFunction cout
syntax keyword stlFunction ctime
syntax keyword stlFunction data
syntax keyword stlFunction destroy
syntax keyword stlFunction difference_type
syntax keyword stlFunction difftime
syntax keyword stlFunction div
syntax keyword stlFunction domain_error
syntax keyword stlFunction empty
syntax keyword stlFunction end
syntax keyword stlFunction endl
syntax keyword stlFunction eof
syntax keyword stlFunction eofbit
syntax keyword stlFunction equal
syntax keyword stlFunction equal_range
syntax keyword stlFunction erase
syntax keyword stlFunction exception
syntax keyword stlFunction exit
syntax keyword stlFunction exp
syntax keyword stlFunction fabs
syntax keyword stlFunction fail
syntax keyword stlFunction failbit
syntax keyword stlFunction failure
syntax keyword stlFunction fclose
syntax keyword stlFunction feof
syntax keyword stlFunction ferror
syntax keyword stlFunction fflush
syntax keyword stlFunction fgetc
syntax keyword stlFunction fgetpos
syntax keyword stlFunction fgets
syntax keyword stlFunction fill
syntax keyword stlFunction fill_n
syntax keyword stlFunction find
syntax keyword stlFunction find_end
syntax keyword stlFunction find_first_not_of
syntax keyword stlFunction find_first_of
syntax keyword stlFunction find_if
syntax keyword stlFunction find_last_not_of
syntax keyword stlFunction find_last_of
syntax keyword stlFunction first
syntax keyword stlFunction flags
syntax keyword stlFunction flip
syntax keyword stlFunction floor
syntax keyword stlFunction flush
syntax keyword stlFunction fmod
syntax keyword stlFunction fopen
syntax keyword stlFunction for_each
syntax keyword stlFunction fprintf
syntax keyword stlFunction fputc
syntax keyword stlFunction fputs
syntax keyword stlFunction fread
syntax keyword stlFunction free
syntax keyword stlFunction freopen
syntax keyword stlFunction frexp
syntax keyword stlFunction front
syntax keyword stlFunction fscanf
syntax keyword stlFunction fseek
syntax keyword stlFunction fsetpos
syntax keyword stlFunction ftell
syntax keyword stlFunction fwrite
syntax keyword stlFunction gcount
syntax keyword stlFunction generate
syntax keyword stlFunction generate_n
syntax keyword stlFunction get
syntax keyword stlFunction get_temporary_buffer
syntax keyword stlFunction getc
syntax keyword stlFunction getchar
syntax keyword stlFunction getenv
syntax keyword stlFunction getline
syntax keyword stlFunction gets
syntax keyword stlFunction gmtime
syntax keyword stlFunction good
syntax keyword stlFunction goodbit
syntax keyword stlFunction greater
syntax keyword stlFunction greater_equal
syntax keyword stlFunction ignore
syntax keyword stlFunction in
syntax keyword stlFunction includes
syntax keyword stlFunction inner_product
syntax keyword stlFunction inplace_merge
syntax keyword stlFunction insert
syntax keyword stlFunction inserter
syntax keyword stlFunction invalid_argument
syntax keyword stlFunction ios
syntax keyword stlFunction ios_base
syntax keyword stlFunction iostate
syntax keyword stlFunction iota
syntax keyword stlFunction is_heap
syntax keyword stlFunction is_open
syntax keyword stlFunction is_sorted
syntax keyword stlFunction isalnum
syntax keyword stlFunction isalpha
syntax keyword stlFunction iscntrl
syntax keyword stlFunction isdigit
syntax keyword stlFunction isgraph
syntax keyword stlFunction islower
syntax keyword stlFunction isprint
syntax keyword stlFunction ispunct
syntax keyword stlFunction isspace
syntax keyword stlFunction isupper
syntax keyword stlFunction isxdigit
syntax keyword stlFunction iter_swap
syntax keyword stlFunction iterator_category
syntax keyword stlFunction key_comp
syntax keyword stlFunction ldiv
syntax keyword stlFunction length
syntax keyword stlFunction length_error
syntax keyword stlFunction less
syntax keyword stlFunction less_equal
syntax keyword stlFunction lexicographical_compare
syntax keyword stlFunction lexicographical_compare_3way
syntax keyword stlFunction localtime
syntax keyword stlFunction log
syntax keyword stlFunction log10
syntax keyword stlFunction logic_error
syntax keyword stlFunction logical_and
syntax keyword stlFunction logical_not
syntax keyword stlFunction logical_or
syntax keyword stlFunction longjmp
syntax keyword stlFunction lower_bound
syntax keyword stlFunction make_heap
syntax keyword stlFunction malloc
syntax keyword stlFunction max
syntax keyword stlFunction max_element
syntax keyword stlFunction max_size
syntax keyword stlFunction mem_fun
syntax keyword stlFunction mem_fun1
syntax keyword stlFunction mem_fun1_ref
syntax keyword stlFunction mem_fun_ref
syntax keyword stlFunction memchr
syntax keyword stlFunction memcpy
syntax keyword stlFunction memmove
syntax keyword stlFunction memset
syntax keyword stlFunction merge
syntax keyword stlFunction min
syntax keyword stlFunction min_element
syntax keyword stlFunction minus
syntax keyword stlFunction mismatch
syntax keyword stlFunction mktime
syntax keyword stlFunction modf
syntax keyword stlFunction modulus
syntax keyword stlFunction multiplies
syntax keyword stlFunction negate
syntax keyword stlFunction next_permutation
syntax keyword stlFunction npos
syntax keyword stlFunction nth_element
syntax keyword stlFunction numeric_limits
syntax keyword stlFunction open
syntax keyword stlFunction out_of_range
syntax keyword stlFunction overflow_error
syntax keyword stlFunction partial_sort
syntax keyword stlFunction partial_sort_copy
syntax keyword stlFunction partial_sum
syntax keyword stlFunction partition
syntax keyword stlFunction peek
syntax keyword stlFunction perror
syntax keyword stlFunction plus
syntax keyword stlFunction pop
syntax keyword stlFunction pop_back
syntax keyword stlFunction pop_front
syntax keyword stlFunction pop_heap
syntax keyword stlFunction pow
syntax keyword stlFunction power
syntax keyword stlFunction precision
syntax keyword stlFunction prev_permutation
syntax keyword stlFunction printf
syntax keyword stlFunction ptr_fun
syntax keyword stlFunction push
syntax keyword stlFunction push_back
syntax keyword stlFunction push_front
syntax keyword stlFunction push_heap
syntax keyword stlFunction put
syntax keyword stlFunction putback
syntax keyword stlFunction putc
syntax keyword stlFunction putchar
syntax keyword stlFunction puts
syntax keyword stlFunction qsort
syntax keyword stlFunction raise
syntax keyword stlFunction rand
syntax keyword stlFunction random_sample
syntax keyword stlFunction random_sample_n
syntax keyword stlFunction random_shuffle
syntax keyword stlFunction range_error
syntax keyword stlFunction rbegin
syntax keyword stlFunction rdbuf
syntax keyword stlFunction rdstate
syntax keyword stlFunction read
syntax keyword stlFunction realloc
syntax keyword stlFunction reference
syntax keyword stlFunction remove
syntax keyword stlFunction remove_copy
syntax keyword stlFunction remove_copy_if
syntax keyword stlFunction remove_if
syntax keyword stlFunction rename
syntax keyword stlFunction rend
syntax keyword stlFunction replace
syntax keyword stlFunction replace_copy
syntax keyword stlFunction replace_copy_if
syntax keyword stlFunction replace_if
syntax keyword stlFunction reserve
syntax keyword stlFunction reset
syntax keyword stlFunction resize
syntax keyword stlFunction return_temporary_buffer
syntax keyword stlFunction reverse
syntax keyword stlFunction reverse_copy
syntax keyword stlFunction rewind
syntax keyword stlFunction rfind
syntax keyword stlFunction rotate
syntax keyword stlFunction rotate_copy
syntax keyword stlFunction runtime_error
syntax keyword stlFunction scanf
syntax keyword stlFunction search
syntax keyword stlFunction search_n
syntax keyword stlFunction second
syntax keyword stlFunction seekg
syntax keyword stlFunction seekp
syntax keyword stlFunction set_difference
syntax keyword stlFunction set_intersection
syntax keyword stlFunction set_symmetric_difference
syntax keyword stlFunction set_union
syntax keyword stlFunction setbuf
syntax keyword stlFunction setf
syntax keyword stlFunction setjmp
syntax keyword stlFunction setlocale
syntax keyword stlFunction setvbuf
syntax keyword stlFunction signal
syntax keyword stlFunction sin
syntax keyword stlFunction sinh
syntax keyword stlFunction size
syntax keyword stlFunction size_t
syntax keyword stlFunction size_type
syntax keyword stlFunction sort
syntax keyword stlFunction sort_heap
syntax keyword stlFunction splice
syntax keyword stlFunction sprintf
syntax keyword stlFunction sqrt
syntax keyword stlFunction srand
syntax keyword stlFunction sscanf
syntax keyword stlFunction stable_partition
syntax keyword stlFunction stable_sort
syntax keyword stlFunction std
syntax keyword stlFunction str
syntax keyword stlFunction strcat
syntax keyword stlFunction strchr
syntax keyword stlFunction strcmp
syntax keyword stlFunction strcoll
syntax keyword stlFunction strcpy
syntax keyword stlFunction strcspn
syntax keyword stlFunction strerror
syntax keyword stlFunction strftime
syntax keyword stlFunction string
syntax keyword stlFunction strlen
syntax keyword stlFunction strncat
syntax keyword stlFunction strncmp
syntax keyword stlFunction strncpy
syntax keyword stlFunction strpbrk
syntax keyword stlFunction strrchr
syntax keyword stlFunction strspn
syntax keyword stlFunction strstr
syntax keyword stlFunction strtod
syntax keyword stlFunction strtok
syntax keyword stlFunction strtol
syntax keyword stlFunction strtoul
syntax keyword stlFunction strxfrm
syntax keyword stlFunction substr
syntax keyword stlFunction swap
syntax keyword stlFunction swap_ranges
syntax keyword stlFunction sync_with_stdio
syntax keyword stlFunction system
syntax keyword stlFunction tan
syntax keyword stlFunction tanh
syntax keyword stlFunction tellg
syntax keyword stlFunction tellp
syntax keyword stlFunction test
syntax keyword stlFunction time
syntax keyword stlFunction time_t
syntax keyword stlFunction tmpfile
syntax keyword stlFunction tmpnam
syntax keyword stlFunction to_string
syntax keyword stlFunction to_ulong
syntax keyword stlFunction tolower
syntax keyword stlFunction top
syntax keyword stlFunction toupper
syntax keyword stlFunction transform
syntax keyword stlFunction unary_compose
syntax keyword stlFunction unary_negate
syntax keyword stlFunction underflow_error
syntax keyword stlFunction unget
syntax keyword stlFunction ungetc
syntax keyword stlFunction uninitialized_copy
syntax keyword stlFunction uninitialized_copy_n
syntax keyword stlFunction uninitialized_fill
syntax keyword stlFunction uninitialized_fill_n
syntax keyword stlFunction unique
syntax keyword stlFunction unique_copy
syntax keyword stlFunction unsetf
syntax keyword stlFunction upper_bound
syntax keyword stlFunction va_arg
syntax keyword stlFunction value_comp
syntax keyword stlFunction value_type
syntax keyword stlFunction vfprintf
syntax keyword stlFunction vprintf
syntax keyword stlFunction vsprintf
syntax keyword stlFunction width
syntax keyword stlFunction write
" }}}


" Default highlighting
if version >= 508 || !exists("did_cpp_syntax_inits")
  if version < 508
    let did_cpp_syntax_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif
  HiLink stlType            cType
  HiLink stlFunction        cFunction
  delcommand HiLink
endif

" vim: fdm=marker
